Updates an existing API product. You must include all required values, whether or not you are updating them, as well as any optional values that you are updating.
The API product name required in the request URL is the internal name of the product, not the display name. While they may be the same, it depends on whether the API product was created via UI or API. View the list of API products to identify their internal names.
HTTP request
PUT https://apigee.googleapis.com/v1/{name=organizations/*/apiproducts/*}
Required. Name of the API product. Use the following structure in your request: organizations/{org}/apiproducts/{apiproduct}
If the resource has the space attribute set, IAM permissions are checked against the Space resource path.To learn more, read the Apigee Spaces Overview.
Authorization requires the following IAM permission on the specified resource name:
apigee.apiproducts.update
Request body
The request body contains an instance of ApiProduct.
Response body
If successful, the response body contains an instance of ApiProduct.
[[["Easy to understand","easyToUnderstand","thumb-up"],["Solved my problem","solvedMyProblem","thumb-up"],["Other","otherUp","thumb-up"]],[["Hard to understand","hardToUnderstand","thumb-down"],["Incorrect information or sample code","incorrectInformationOrSampleCode","thumb-down"],["Missing the information/samples I need","missingTheInformationSamplesINeed","thumb-down"],["Other","otherDown","thumb-down"]],["Last updated 2025-12-09 UTC."],[],[]]